using System;
using Microsoft.SPOT;

using System.Text;

namespace CPF
{
    class InstrumentHandler
    {
        private static object IHLock = new Object();

        private static StringBuilder SI = new StringBuilder("Sampling Instruments");

        private static StructQueue.qStruct qS = new StructQueue.qStruct();

        public static void init()
        {
            qS.byteArray = new byte[StructQueue.qRecordWidth];
        }

        public static void sampleInstruments(int stationNum)
        {
         //TODO: Eventually need to sample the instruments per the mission config file

            Optode.doSample();

        }
    }
}

